Bug 5665 - If a user installs the kdesupport package, shell code for csh/tcsh is wrong in kde.csh
If a user installs the kdesupport package, shell code for csh/tcsh is wrong i...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kdesupport (Show other bugs)
6.0
All Linux
high Severity low
: ---
: ---
Assigned To: Preston Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-10-06 23:33 EDT by law
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-11-29 11:52:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description law 1999-10-06 23:33:46 EDT
When installing kdesupport, the redhat additions add
'bash/sh' code to the 'kde.csh' file.  This results in
error messages on login if the user's shell is csh or tcsh.


The following patch needs to be applied in the rh-source
under the kde-support support dir:

:--- scripts/kde.csh     Fri Jun 11 09:02:03 1999
+++ scripts/kde.sgi     Tue Oct  5 12:55:27 1999
@@ -5,8 +5,9 @@
          endif
 endif
 setenv KDEDIR @KDEPREFIX@
-kdepath="${KDEDIR}/bin"
-if ( echo ${PATH} | grep -q ${kdepath} ) then
+setenv kdepath "${KDEDIR}/bin"
+echo ${PATH} | grep -q ${kdepath}
+if ( $? == 0) then
   exit
 endif
Comment 1 Preston Brown 1999-11-29 11:52:59 EST
fixed in the 6.1 packages.

Note You need to log in before you can comment on or make changes to this bug.